package com.lz.modules.flow.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.lz.modules.flow.entity.ResultCalculate;
import com.lz.modules.flow.model.ResultCalculateDto;

import java.util.List;

/**
* <p>
* 模板计算公式 服务类
* </p>
*
* @author quyixiao
* @since 2020-10-14
*/
public interface ResultCalculateService extends IService<ResultCalculate> {



	ResultCalculate selectResultCalculateById(Long id);


	Long insertResultCalculate(ResultCalculate resultCalculate);


	int updateResultCalculateById(ResultCalculate resultCalculate);


	int updateCoverResultCalculateById(ResultCalculate resultCalculate);


	int deleteResultCalculateById(Long id);


    List<ResultCalculateDto> selectResultCalculateByBusinessId(Long id);
}